package org.wamblee.glassfish.auth;

import java.io.UnsupportedEncodingException;

public class TextEncoder implements Encoder {

    private String charset;

    public TextEncoder(String aCharset) {
        charset = aCharset;
    }

    @Override
    public String encode(byte[] aData) {
        try {
            return new String(aData, charset);
        } catch (UnsupportedEncodingException e) {
            throw new RuntimeException(e.getMessage(), e);
        }
    }

}
